<?php

include_once "../dbconection.php";
include_once "../funciones.php";
include_once "../errorhandler.php";

if(isset($_REQUEST['intDocumento'])){ // Si es llamado por intPedido
	
	$intDocumento = $_REQUEST['intDocumento'];
	$intUsuario = $_REQUEST['intUsuario'];

	if($_REQUEST['intMode']==1){
		$query = "UPDATE exp_tblactividad SET datInicioLectura = CURRENT_TIMESTAMP WHERE intDocumento = ".$intDocumento ." AND  intUsuario = ".$intUsuario;
	}else if($_REQUEST['intMode']==2){
		$query = "UPDATE exp_tblactividad SET bitLeido = 1, datFechaLeido = CURRENT_TIMESTAMP WHERE intDocumento = ".$intDocumento ." AND  intUsuario = ".$intUsuario;
	}
	
	$sJSON = $query;
	$sJSON = "";
	
	$queryResult = $mysqli->query($query);	
	
	if($queryResult){
		
		$sJSON .= "exito";
		
	}else{
	
		$sJSON .= "error";
	}
	
}else if(isset($_REQUEST['intEmpresa'])){ // Si es llamado por intEmpresa	
			
	$query = "SELECT t1.*, t3.strNombre as strUsuario FROM exp_tblactividad t1 left join tblusuarios t3 ON (t1.intUsuario=t3.intUsuario) WHERE t1.bitActiva=1";
	//exit($query);
	
	$queryResult = $mysqli->query($query);	
	$totalRows = mysqli_num_rows($queryResult);
						
	$sJSON = '{"Items":[';
	
	if($totalRows > 0){
	
		while($data = mysql_fetch_assoc($queryResult)){
			$strTiempoLectura = "";
			$datFechaLeido = $data['datFechaLeido'];
			$datInicioLectura = $data['datInicioLectura'];

			//$datetime1 = new DateTime('2009-10-11');
			if ( $datFechaLeido!="" && $datFechaLeido!=NULL && $datInicioLectura!="" && $datInicioLectura!=NULL ) {
				$datFechaLeido = new DateTime($datFechaLeido);
				$datInicioLectura = new DateTime($datInicioLectura);
				//$nuevafecha = strtotime ( strtotime ( $datInicioLectura ) , strtotime ( $datFechaLeido ) ) ;
				$strTiempoLectura = date_diff( $datInicioLectura , $datFechaLeido );
				$strTiempoLectura = $strTiempoLectura->format("%H:%I:%S") ;
				
				//exit( $strTiempoLectura->format("%H:%I:%S") );
				
				//tambien funciona lo comentado en estas dos lineas siguientes
				//$strTiempoLectura  = $datInicioLectura->diff($datFechaLeido); 
				//exit( $strTiempoLectura->format("%H:%I:%S") ); 
			}else{
				$strTiempoLectura = "";
			}
						
			$sJSON .= "{";
				$sJSON .= '"intVisita":"'.$data['intVisita'].'"';
				$sJSON .= ',"intDocumento":"'.$data['intDocumento'].'"';
				$sJSON .= ',"strDocumento":"'.$data['strDocumento'].'"';
				$sJSON .= ',"intUsuario":"'.$data['intUsuario'].'"';
				$sJSON .= ',"strUsuario":"'.$data['strUsuario'].'"';
				$sJSON .= ',"bitLeido":"'.$data['bitLeido'].'"';
				$sJSON .= ',"datFechaLeido":"'.$data['datFechaLeido'].'"';
				$sJSON .= ',"strTiempoLectura":"'. $strTiempoLectura .'"';
				$sJSON .= ',"strObservaciones":"'.$data['strObservaciones'].'"';
				$sJSON .= ',"datFechaApertura":"'.$data['datFechaApertura'].'"';
			$sJSON .= "},";
		}
		
		$sJSON = substr($sJSON, 0, -1);

	}
	$sJSON .= "]}";
}

print($sJSON);

?>